# These are private, filter them
%define __noautoprov 'libAggregation\\.so\\.1(.*)|libCPlusPlus\\.so\\.1(.*)|libExtensionSystem\\.so\\.1(.*)|libGLSL\\.so\\.1(.*)|libLanguageUtils\\.so\\.1(.*)|libQmlDebug\\.so\\.1(.*)|libQmlEditorWidgets\\.so\\.1(.*)|libQmlJS\\.so\\.1(.*)|libQtcSsh\\.so\\.1(.*)|libUtils\\.so\\.1(.*)|libqbscore\\.so\\.1(.*)|libqbsqtprofilesetup\\.so\\.1(.*)|libzeroconf\\.so\\.1(.*)|devel\\((.*)'
%define __noautoreq 'libAggregation\\.so\\.1(.*)|libCPlusPlus\\.so\\.1(.*)|libExtensionSystem\\.so\\.1(.*)|libGLSL\\.so\\.1(.*)|libLanguageUtils\\.so\\.1(.*)|libQmlDebug\\.so\\.1(.*)|libQmlEditorWidgets\\.so\\.1(.*)|libQmlJS\\.so\\.1(.*)|libQtcSsh\\.so\\.1(.*)|libUtils\\.so\\.1(.*)|libqbscore\\.so\\.1(.*)|libqbsqtprofilesetup\\.so\\.1(.*)|libzeroconf\\.so\\.1(.*)|devel\\((.*)'

Summary:	Qt Creator IDE for Qt 4.x
Name:		qt-creator-qt4
Version:	3.2.2
Release:	4
License:	LGPLv2+ and MIT
Group:		Development/KDE and Qt
Url:		http://qt.digia.com/products/developer-tools
Source0:	http://download.qt-project.org/official_releases/qtcreator/%(echo %{version} |cut -d. -f1-2)/%{version}/qt-creator-opensource-src-%{version}.tar.gz
Source1:	%{name}.rpmlintrc
Patch0:		qt-creator-3.2.0-linkage.patch
BuildRequires:	pkgconfig(QtCore)
BuildRequires:	pkgconfig(QtGui)
BuildRequires:	pkgconfig(QtNetwork)
BuildRequires:	pkgconfig(QtSql)
BuildRequires:	pkgconfig(QtWebKit)
BuildRequires:	qt4-devel-private
BuildRequires:	qt4-linguist
BuildRequires:	qt4-qdoc3
Suggests:	qt4-designer
Suggests:	qt4-assistant
Suggests:	qt4-devel
Suggests:	qt4-qmlviewer
Suggests:	qt-creator-doc
Suggests:	qt4-doc
Requires:	qt-creator-common
Provides:	qt-creator-ui = %{EVRD}

%description
Qt Creator (previously known as Project Greenhouse) is a new, lightweight,
cross-platform integrated development environment (IDE) designed to make
development with the Qt application framework even faster and easier.

This version uses and targets Qt 4.x.

%files
%doc README
%{_prefix}/lib/qt4/bin/buildoutputparser
%{_prefix}/lib/qt4/bin/qmlpuppet
%{_prefix}/lib/qt4/bin/qtcreator
%{_prefix}/lib/qt4/bin/qtcreator_process_stub
%{_prefix}/lib/qt4/bin/qtpromaker
%{_prefix}/lib/qt4/bin/sdktool
%{_prefix}/lib/qt4/%{_lib}/qtcreator
%{_prefix}/lib/qt4/share/qtcreator
%{_datadir}/applications/qtcreator-qt4.desktop

#------------------------------------------------------------------------------

%prep
%setup -qn qt-creator-opensource-src-%{version}
%patch0 -p1

%build
%global optflags %{optflags} -Wstrict-aliasing=0 -Wno-error=strict-overflow
# Build a version for Qt 4.x
%qmake_qt4 -r IDE_LIBRARY_BASENAME=%{_lib}
%make STRIP=/bin/true

%install
make install STRIP=/bin/true INSTALL_ROOT=%{buildroot}%{_prefix}/lib/qt4

# We use icons from Qt Creator Qt5 build (qt-creator-common package)
rm -rf %{buildroot}%{_prefix}/lib/qt4/share/icons/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/qtcreator-qt4.desktop << EOF
[Desktop Entry]
Type=Application
Exec=%{_prefix}/lib/qt4/bin/qtcreator
Name=Qt Creator (Qt4)
GenericName=C++ IDE for developing Qt4 applications
X-KDE-StartupNotify=true
Icon=QtProject-qtcreator
Terminal=false
Categories=Development;IDE;Qt;
MimeType=text/x-c++src;text/x-c++hdr;text/x-xsrc;application/x-designer;application/vnd.nokia.qt.qmakeprofile;application/vnd.nokia.xml.qt.resource;
InitialPreference=9
EOF

%changelog
* Wed Dec 17 2014 Rosa <rosa@abf.rosalinux.ru> 3.2.2-4
+ Revision: 7df9ec0
- Automatic import for version 3.2.2-4


